Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.util.exec
Class StreamWriterExecOutputHandle

    java.lang.Object
      org.gradle.util.exec.StreamWriterExecOutputHandle

All Implemented Interfaces:
  ExecOutputHandle

    public class StreamWriterExecOutputHandle

extends java.lang.Object
implements ExecOutputHandle

Constructor Summary
`StreamWriterExecOutputHandle(java.io.BufferedWriter target)`
`StreamWriterExecOutputHandle(java.io.BufferedWriter target, boolean directFlush)`
`StreamWriterExecOutputHandle(java.io.OutputStream target)`
`StreamWriterExecOutputHandle(java.io.OutputStream target, boolean directFlush)`
`StreamWriterExecOutputHandle(java.io.Writer target)`
`StreamWriterExecOutputHandle(java.io.Writer target, boolean directFlush)`

Method Summary
`void` | `endOutput()` Called when the end of output from an exec'd process has been reached.
`boolean` | `execOutputHandleError(java.lang.Throwable t)` Called when an exeception occurs reading the output from an exec'd process.
`java.io.BufferedWriter` | `getTarget()`
`void` | `handleOutputLine(java.lang.String outputLine)` Called when a line of output has been read from an exec'd process.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StreamWriterExecOutputHandle

    public StreamWriterExecOutputHandle(java.io.Writer target)

### StreamWriterExecOutputHandle

    public StreamWriterExecOutputHandle(java.io.BufferedWriter target)

### StreamWriterExecOutputHandle

    public StreamWriterExecOutputHandle(java.io.OutputStream target)

### StreamWriterExecOutputHandle

    public StreamWriterExecOutputHandle(java.io.Writer target,
                                        boolean directFlush)

### StreamWriterExecOutputHandle

    public StreamWriterExecOutputHandle(java.io.BufferedWriter target,
                                        boolean directFlush)

### StreamWriterExecOutputHandle

    public StreamWriterExecOutputHandle(java.io.OutputStream target,
                                        boolean directFlush)

Method Detail

### handleOutputLine

    public void handleOutputLine(java.lang.String outputLine)
                          throws java.io.IOException

  Description copied from interface: `ExecOutputHandle`
  Called when a line of output has been read from an exec'd process.

  Specified by:
    `handleOutputLine` in interface `ExecOutputHandle`
  Throws:
    `java.io.IOException`

### execOutputHandleError

    public boolean execOutputHandleError(java.lang.Throwable t)

  Description copied from interface: `ExecOutputHandle`
  Called when an exeception occurs reading the output from an exec'd process.

  Specified by:
    `execOutputHandleError` in interface `ExecOutputHandle`
  Returns:
    true if output handling should continue, false if output handling should end.

### endOutput

    public void endOutput()
                   throws java.io.IOException

  Description copied from interface: `ExecOutputHandle`
  Called when the end of output from an exec'd process has been reached.

  Specified by:
    `endOutput` in interface `ExecOutputHandle`
  Throws:
    `java.io.IOException`

### getTarget

    public java.io.BufferedWriter getTarget()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD